View Issue Details

IDProjectCategoryView StatusLast Update
0002322Industrial-Craft²Agriculture / crops / Boozeceptionpublic2018-02-27 04:09
Reportery207702Assigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002322: unable to get wheat seed bag
DescriptionWhen I left-click on fully grown wheat crop, it gives me some wheat or a seed instead of a seed bag. I tried over 10 times on it, but the result was the same. Other crops works fine, but only wheat does.
Steps To ReproduceLeft-click on fully grown wheat crop.
Additional InformationI'm using only two mods:
industrialcraft-2-2.8.53-ex112,
jei_1.12.2-4.8.5.147
It's on multiplay server,
forge version: forge-1.12.2-14.23.1.2608
TagsNo tags attached.
Minecraft Version1.12.2

Activities

y207702

2018-02-16 09:10

reporter   ~0005554

I'm afraid that beetroots and carrot seem to have the same problem.

Chocohead

2018-02-16 11:11

developer   ~0005555

If a 1 - 1 - 1 seed bag would be produced from a vanilla crop the seeds that were used to plant it will come out instead. Hence 1 - 1 - 1 wheat will produce seeds, carrots produce themselves and beetroots produce beetroot seeds. If you want seed bags you'll have to cross-breed them so the stats increase.

y207702

2018-02-16 14:38

reporter   ~0005556

I tried again with cross-bred crops, but it happened again. :(

y207702

2018-02-21 04:14

reporter   ~0005560

I had an experiment on this and figured out some more details. As you said, crops(wheat, beetroot, carrot) planted by vanilla seeds gave me that vanilla seed. However, I couldn't get seed bags from cross-bred crops but the products came out instead.
ex) wheat(vanilla) - seeds
wheat(cross-breeding) - wheat
carrots(vanilla) - carrots
carrots(cross-breeding) - carrots

y207702

2018-02-23 16:57

reporter   ~0005564

Still, I think it is a bug..!

Chocohead

2018-02-27 04:09

developer   ~0005571

Appears that with the introduction of beetroot it is indeed. My apologies, should be fixed next build.

Issue History

Date Modified Username Field Change
2018-02-16 06:34 y207702 New Issue
2018-02-16 09:10 y207702 Note Added: 0005554
2018-02-16 11:11 Chocohead Assigned To => Chocohead
2018-02-16 11:11 Chocohead Status new => resolved
2018-02-16 11:11 Chocohead Resolution open => no change required
2018-02-16 11:11 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-02-16 11:11 Chocohead Note Added: 0005555
2018-02-16 14:38 y207702 Note Added: 0005556
2018-02-21 04:14 y207702 Note Added: 0005560
2018-02-23 16:57 y207702 Status resolved => feedback
2018-02-23 16:57 y207702 Resolution no change required => reopened
2018-02-23 16:57 y207702 Note Added: 0005564
2018-02-27 04:09 Chocohead Status feedback => resolved
2018-02-27 04:09 Chocohead Resolution reopened => fixed
2018-02-27 04:09 Chocohead Note Added: 0005571